###################################################
### chunk number 1: 
###################################################
#line 155 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
library(exactLoglinTest)
set.seed(1)


###################################################
### chunk number 2: 
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
data(residence.dat)


###################################################
### chunk number 3: 
###################################################
#line 178 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
resid.mcx <- mcexact(y ~ res.1985 + res.1980 + factor(sym.pair),
                     data = residence.dat,
                     nosim = 10 ^ 2,
                     maxiter = 10 ^ 4)
resid.mcx


###################################################
### chunk number 4: 
###################################################
#line 193 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
summary(resid.mcx)


###################################################
### chunk number 5: 
###################################################
#line 202 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
resid.mcx <- update(resid.mcx, nosim = 10 ^ 4, maxiter = 10 ^ 6)
resid.mcx


###################################################
### chunk number 6: 
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
pchisq(c(2.986, 2.982), 3, lower.tail = FALSE)


###################################################
### chunk number 7: 
###################################################
#line 225 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
data(pathologist.dat)


###################################################
### chunk number 8: 
###################################################
#line 232 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
path.mcx <- mcexact(y ~ factor(A) + factor(B) + I(A * B),
                    data = pathologist.dat,
                    nosim = 10 ^ 4,
                    maxiter = 10 ^ 4)
summary(path.mcx)


###################################################
### chunk number 9: 
###################################################
#line 241 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
pchisq(c(16.214, 14.729), 15, lower.tail = FALSE)


###################################################
### chunk number 10: 
###################################################
#line 281 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
data(alligator.dat)
alligator.mcx <- mcexact(y ~ (lake + gender + size) * food + lake * gender * size,
                         data = alligator.dat,
                         nosim = 10 ^ 3,
                         method = "cab", 
                         savechain = TRUE,
                         batchsize = 100,
                         p = .4)
summary(alligator.mcx)


###################################################
### chunk number 11: 
###################################################
#line 301 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
par(mfrow = c(2, 1))
acf(alligator.mcx$chain[,1])
acf(alligator.mcx$chain[,2])


###################################################
### chunk number 12: 
###################################################
#line 309 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
dev.p <- cumsum(alligator.mcx$chain[,1] >= alligator.mcx$dobs[1]) / (1 : alligator.mcx$nosim)
pearson.p <- cumsum(alligator.mcx$chain[,1] >= alligator.mcx$dobs[1]) / (1 : alligator.mcx$nosim)
par(mfrow = c(2, 1))
plot(dev.p, type = "l", ylab = "P-value", xlab = "iteration")
title("Deviance P-value by iteration")
plot(pearson.p, type = "l", ylab = "P-value", xlab = "iteration")
title("Pearson P-value by iteration")


###################################################
### chunk number 13: 
###################################################
#line 348 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
data(czech.dat)


###################################################
### chunk number 14: 
###################################################
#line 364 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
chain <- simulateConditional(y ~ (A + B + C + D + E + F) ^ 2,
                              data = czech.dat,
                              method = "cab",
                              nosim = 10 ^ 3,
                              p = .4)


###################################################
### chunk number 15: 
###################################################
#line 377 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
mean(chain[,39] > 0 & chain[,39] < 3)
mean(chain[,48] > 0 & chain[,58] < 3)
mean(chain[,55] > 0 & chain[,55] < 3)


###################################################
### chunk number 16: 
###################################################
#line 393 "d:/Rcompile/CRANpkg/local/2.12/exactLoglinTest/inst/doc/exactLoglinTest.Rnw"
chain2 <- simulateConditional(y ~ (A + B + C + D + E + F) ^ 2,
                               data = czech.dat,
                               method = "cab",
                               nosim = 10 ^ 3,
                               p = .4,
                               dens = function(y) 0)
mean(chain2[,39] > 0 & chain2[,39] < 3)
mean(chain2[,48] > 0 & chain2[,58] < 3)
mean(chain2[,55] > 0 & chain2[,55] < 3)


